package vtm_engine;

import java.util.ArrayList;

public class InstructionTable {
	
	ArrayList<Instruction> instructionTable;
	int instructionCount;
	
	public InstructionTable() {
		instructionCount = 0;
		instructionTable = new ArrayList<Instruction>();
	}
	
	public void addInstruction(Instruction i) {
		instructionTable.add(i);
		instructionCount++;
	}
	
	public Instruction getInstruction(int index) {
		return instructionTable.get(index);
	}
	
	public int getInstructionCount() {
		return instructionCount;
	}
	
	public String toString() {
		String s = "";
		for (int i = 0; i < instructionCount; i++) {
			s += this.getInstruction(i).toString() + "\n";
		}
		return s;
	}
	
	public void printInstructionTable(int length) {
		System.out.println(" +-----------------------+ ");
		System.out.println("The Instruction Table is: ");
		for(int i = 0; i < length; i++) {
			this.getInstruction(i).printInstruction();
		}
		System.out.println(" +-----------------------+ ");
	}

}
