package vtm_engine;

public class Tape {
	
	private char[] tape;
	private int length;
	
	public Tape() {
		tape = new char[100];
		length = 0;
	}
	
	public Tape(int length) {
		tape = new char[length];
		length = 0;
	}
	
	public char getCharacter(int i) {
		return tape[i];
	}
	
	public void addCharacter(char c) {
		tape[length] = c;
		length++;
	}
	
	public void setCharacter(int i, char c) {
		tape[i] = c;
	}
	
	public void setLength(int length) {
		this.length = length;
	}
	
	public int getLength() {
		return length;
	}
	
	public String toString() {
		String s = "";
		for (int i = 0; i < length; i++) {
			s += tape[i] + " ";
		}
		return s;
	}
	
	public void printTape(int length) {
		System.out.println("The Tape is: ");
		for(int i = 0; i < length; i++) {
			System.out.print("" + tape[i] + " ");
		}
		System.out.println();
	}

}
